<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.TaskInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.TaskInfo">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="name" property="name" />
        <result column="no" property="no" />
        <result column="standard" property="standard" />
        <result column="content" property="content" />
        <result column="task_type" property="taskType" />
        <result column="task_create_type" property="taskCreateType" />
        <result column="type_id" property="typeId" />
        <result column="status" property="status" />
        <result column="send_time" property="sendTime" />
        <result column="confirm_time" property="confirmTime" />
        <result column="confirm_timing" property="confirmTiming" />
        <result column="action_time" property="actionTime" />
        <result column="pre_finish_time" property="preFinishTime" />
        <result column="finish_time" property="finishTime" />
        <result column="timing" property="timing" />
        <result column="over_timing" property="overTiming" />
        <result column="point" property="point" />
        <result column="point_status" property="pointStatus" />
        <result column="sn_code" property="snCode" />
        <result column="user_type" property="userType" />
        <result column="user_status" property="userStatus" />
        <result column="expire_type" property="expireType" />
        <result column="expire_time" property="expireTime" />
        <result column="plan_id" property="planId" />
        <result column="task_position" property="taskPosition" />
        <result column="task_distributi_user" property="taskDistributiUser" />
        <result column="task_accept_user" property="taskAcceptUser" />
        <result column="match_time" property="matchTime" />
        <result column="look_time" property="lookTime" />
        <result column="transfer_timing" property="transferTiming" />
        <result column="task_actual_action_timing" property="taskActualActionTiming" />
        <result column="impending_period_send_time" property="impendingPeriodSendTime" />
        <result column="period_of_validity_begin_time" property="periodOfValidityBeginTime" />
        <result column="period_of_validity_end_time" property="periodOfValidityEndTime" />
        <result column="execution_phase_begin_time" property="executionPhaseBeginTime" />
        <result column="execution_phase_end_time" property="executionPhaseEndTime" />
        <result column="pool_order" property="poolOrder" />
        <result column="group_order" property="groupOrder" />
        <result column="task_order" property="taskOrder" />
        <result column="manual_allocation" property="manualAllocation" />
        <result column="upload_manage_user" property="uploadManageUser" />
        <result column="should_inspect" property="shouldInspect" />
        <result column="actual_inspect" property="actualInspect" />
        <result column="not_inspect" property="notInspect" />
        <result column="wage_hour" property="wageHour" />
        <result column="wage_id" property="wageId" />
        <result column="report_manage_user" property="reportManageUser" />
        <result column="salary" property="salary" />
        <result column="wage_name" property="wageName" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="task_require" property="taskRequire" />
        <result column="clock_flag" property="clockFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, district_id, property_id, agent_id, district_name, property_name, agent_name, name, no, standard, content, task_type, task_create_type, type_id, status, send_time, confirm_time, confirm_timing, action_time, pre_finish_time, finish_time, timing, over_timing, point, point_status, sn_code, user_type, user_status, expire_type, expire_time, plan_id, task_position, task_distributi_user, task_accept_user, match_time, look_time, transfer_timing, task_actual_action_timing, impending_period_send_time, period_of_validity_begin_time, period_of_validity_end_time, execution_phase_begin_time, execution_phase_end_time, pool_order, group_order, task_order, manual_allocation, upload_manage_user, should_inspect, actual_inspect, not_inspect, wage_hour, wage_id, report_manage_user, salary, wage_name, start_time, end_time, task_require, clock_flag
    </sql>

</mapper>
